// Reopath Installation Script

var version = "0.4.0";

var err = initInstall("Reopath", "/XULPlanet/Reopath", version);
logComment("initInstall: " + err);

var progFolder = getFolder("Program");
var compsFolder = getFolder("Components");
var chromeFolder = getFolder("Chrome");

err = addFile("rpath.dll", version, "bin/rpath.dll", compsFolder, "");
err = addFile("rpath.xpt", version, "bin/rpath.xpt", compsFolder, "");
err = addFile("rpath.jar", version, "rpath.jar", chromeFolder, "");

logComment("addFiles: " + err);

registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome","rpath.jar"),
                                         "content/");

if (getLastError() == SUCCESS) {
  err = performInstall();
  logComment("performInstall: " + err);
} else {
  cancelInstall(err);
}
